﻿@model BookViewModel

@{
    ViewData["Title"] = "Details";
}

<h4 id="login">Book</h4>
<h1 id="login">Details</h1>

<div id="login">
    <hr />
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Title)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Title)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Year)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Year)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.AuthorsNames)
        </dt>
        <dd class="col-sm-10">
            @foreach (var author in Model.AuthorsNames)
            {
                @Html.DisplayFor(modelItem => author)
                <br />
            }
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Rating)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Rating)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Status)
        </dt>
        <dd class="col-sm-10">
            @if (@Model.Status == "Available")
            {
                <span class="text-success"> @Html.DisplayFor(model => model.Status)</span>
            }
            else if (@Model.Status == "Taken")
            {
                <span class="text-danger"> @Html.DisplayFor(model => model.Status)</span>
            }
            else
            {
                <span class="text-warning"> @Html.DisplayFor(model => model.Status)</span>
            }
        </dd>
    </dl>
</div>
<div>

    <hr />
    @if (this.User.IsInRole("Admin"))
    {
        <a asp-action="Edit" asp-route-id="@Model.Id">
            <img src="~/lib/images/EditGreenTrans.png" alt="Edit" width="100">
        </a>
    }
    <a asp-action="Index">
        <img src="~/lib/images/BackToListRedTrans.png" alt="BackToList" width="100">
    </a>
    <button id="get-reviews-button" asp-action="GetReviews" asp-route-id="@Model.Id" type="button" class="btn btn-secondary bg-transparent border-0">
                <img class="d-flex ml-3" src="~/lib/images/ReviewsYellowTrans.png" alt="Details" width="100">
      </button>
    @*<div class="col-md-4" id="put-reviews-here">
        <button id="review-button" asp-action="GetReviews" asp-route-id="@Model.Id" class="btn btn-primary bg-transparent border-0">
            <a asp-action="GetReviews" asp-route-id="@Model.Id">
                <img class="d-flex ml-3" src="~/lib/images/ReviewsYellowTrans.png" alt="Details" width="100">
            </a>
        </button>
    </div>*@
</div>
<div id="reviewtata-tuka">

</div>